Bug 223966

Summary: [ macOS ] imported/w3c/web-platform-tests/webaudio/the-audio-api/the-analysernode-interface/realtimeanalyser-fft-scaling.html is a flakey text failure
Product: WebKit Reporter: Robert Jenner <Jenner>
Component: Web AudioAssignee: Chris Dumez <cdumez>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, clopez, darin, eric.carlson, ews-watchlist, ggaren, glenn, jer.noble, peng.liu6, philipj, sergio, webkit-bot-watchers-bugzilla, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
URL: https://github.com/web-platform-tests/wpt/pull/28428
Attachments:
Description Flags
Patch darin: review+, ews-feeder: commit-queue-

Description Robert Jenner 2021-03-30 16:31:12 PDT
imported/w3c/web-platform-tests/webaudio/the-audio-api/the-analysernode-interface/realtimeanalyser-fft-scaling.html

is a flakey text failure in macOS.

HISTORY URL:
https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2Fwebaudio%2Fthe-audio-api%2Fthe-analysernode-interface%2Frealtimeanalyser-fft-scaling.html&platform=mac

TEXT DIFF:
 PASS   128-point FFT peak value in dBFS is greater than or equal to -13.56.
 PASS   256-point FFT peak position is equal to 8.
 PASS   256-point FFT peak value in dBFS is greater than or equal to -13.56.
+PASS   1024-point FFT peak position is equal to 32.
+PASS   1024-point FFT peak value in dBFS is greater than or equal to -13.56.
 PASS   512-point FFT peak position is equal to 16.
 PASS   512-point FFT peak value in dBFS is greater than or equal to -13.56.
-PASS   1024-point FFT peak position is equal to 32.
-PASS   1024-point FFT peak value in dBFS is greater than or equal to -13.56.
 PASS   2048-point FFT peak position is equal to 64.
 PASS   2048-point FFT peak value in dBFS is greater than or equal to -13.56.
 PASS   4096-point FFT peak position is equal to 128.
Comment 1 Robert Jenner 2021-03-30 16:46:37 PDT
Reproduced the failure at BigSur Debug ToT x86_64 using the following test:

run-webkit-test imported/w3c/web-platform-tests/webaudio/the-audio-api/the-analysernode-interface/realtimeanalyser-fft-scaling.html  --iterations 1000 -f

Failures happen most commonly on Apple Silicon Macs in Debug, but it has a fairly long history of occurring in Intel Catalina and BigSur in release and debug.
Comment 2 Radar WebKit Bug Importer 2021-03-30 16:46:55 PDT
<rdar://problem/76028345>
Comment 3 Robert Jenner 2021-03-30 17:00:40 PDT
Updated test expectations to Pass Failure while test is being reviewed:
https://trac.webkit.org/changeset/275249/webkit
Comment 4 Chris Dumez 2021-04-09 13:25:01 PDT
Created attachment 425646 [details]
Patch
Comment 5 EWS Watchlist 2021-04-09 13:25:57 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 6 EWS 2021-04-10 13:01:12 PDT
Tools/Scripts/svn-apply failed to apply attachment 425646 [details] to trunk.
Please resolve the conflicts and upload a new patch.
Comment 7 Chris Dumez 2021-04-10 15:37:55 PDT
Committed r275803 (236374@main): <https://commits.webkit.org/236374@main>